
package de.ivu.elect.business.stimmzettel.entity;

import de.ivu.elect.jee.exception.ElectCommonException;

public class StimmzettelKopfdatumNichtGesetzException extends ElectCommonException {

  private static final long serialVersionUID = 1L;

  public static final String MESSAGE_KEY = "benutzer.parameter.wert.nicht.gesetzt";

  public StimmzettelKopfdatumNichtGesetzException(StimmzettelKopfdatumArt template) {
    this(getLocalizedMessageFromResources(StimmzettelKopfdatumArt.class.getSimpleName() + "." + template.name()));
  }

  protected StimmzettelKopfdatumNichtGesetzException(String templateName) {
    super(MESSAGE_KEY, templateName);
  }
}
